---
title: IFSC LIST
description: List all IFSC codes with optional filtering by IFSC prefix and pagination support.
---

This api is for list all the ifsc code.If the request have valid data we will get a success response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/ifscCode
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| ifsc  optional | Text  <br>(4-11) | ifsccode | `ABCD` |
| pageno  optional | Text | page number | `1` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | 400- fail,200-success(length 3) | `200,400` |
| message  required | Text | success, fail | `success,fail` |
| data  required | Text | { "ifsc_codes": [ "ABCD0065001", "ABCD0065002", "ABCD0065003", "ABCD0065004", "ABCD0065005", "ABCD0065006", "ABCD0065007", "ABCD0065008", "ABCD0065009" ], "bank_ifsc_count": 112, "number_of_page": 3 } |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/ifscCode' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'ifsc=ABCD' \
--data-urlencode 'pageno=1' \
```

### Success Response

```
{
    "status": 200,
    "message": "success",
    "data": {
        "ifsc_codes": [
            "ABCD0065001",
            "ABCD0065002",
            "ABCD0065003",
            "ABCD0065004",
            "ABCD0065005",
            "ABCD0065006",
            "ABCD0065007",
            "ABCD0065008",
            "ABCD0065009"
        ],
        "bank_ifsc_count": 112,
        "number_of_page": 3
    }
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```